Page MenuHomePhabricator

rack/setup/install ms-be204[0-3]
Closed, ResolvedPublic

Description

This task will track the racking and setup of ms-be204[0-3], purchased on T183201.

Racking

serverrack location
ms-be2040A2
ms-be2041B2
ms-be2042C2
ms-be2043D2

ms-be2040:

  • - receive in system on procurement task T184014
  • - rack system with proposed racking plan (see above) & update racktables (include all system info plus location)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, private vlan)
    • end on-site specific steps
  • - production dns entries added (private subnet)
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation (stretch)
  • - puppet accept/initial run
  • - handoff for service implementation

ms-be2041:

  • - receive in system on procurement task T184014
  • - rack system with proposed racking plan (see above) & update racktables (include all system info plus location)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, private vlan)
    • end on-site specific steps
  • - production dns entries added (private subnet)
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation (stretch)
  • - puppet accept/initial run
  • - handoff for service implementation

ms-be2042:

  • - receive in system on procurement task T184014
  • - rack system with proposed racking plan (see above) & update racktables (include all system info plus location)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, private vlan)
    • end on-site specific steps
  • - production dns entries added (private subnet)
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation (stretch)
  • - puppet accept/initial run
  • - handoff for service implementation

ms-be2043:

  • - receive in system on procurement task T184014
  • - rack system with proposed racking plan (see above) & update racktables (include all system info plus location)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, private vlan)
    • end on-site specific steps
  • - production dns entries added (private subnet)
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation (stretch)
  • - puppet accept/initial run
  • - handoff for service implementation

@fgiunchedi please review racking plan above and assign back to me thanks.

Event Timeline

Papaul triaged this task as Normal priority.Mar 13 2018, 11:32 PM
Papaul created this task.
Restricted Application added a project: Operations. · View Herald TranscriptMar 13 2018, 11:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Papaul renamed this task from rack/setup/install ms-be204[1-4] to rack/setup/install ms-be204[1-3].Mar 13 2018, 11:32 PM
fgiunchedi renamed this task from rack/setup/install ms-be204[1-3] to rack/setup/install ms-be204[0-3].Mar 14 2018, 3:25 PM
fgiunchedi reassigned this task from fgiunchedi to Papaul.
fgiunchedi updated the task description. (Show Details)

@Papaul racking plan looks good (i.e. one machine per row), thanks!

Papaul updated the task description. (Show Details)Mar 21 2018, 12:27 AM

Change 421044 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Add mgmt DNS entries for ms-be204[0-3]

https://gerrit.wikimedia.org/r/421044

Change 421065 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Add production DNS entries for ms-be204[0-3]

https://gerrit.wikimedia.org/r/421065

Papaul updated the task description. (Show Details)Mar 21 2018, 4:47 PM

Change 421072 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/puppet@production] DHCP: Add MAC address entries for ms-be204[0-3]

https://gerrit.wikimedia.org/r/421072

Change 421044 merged by Dzahn:
[operations/dns@master] DNS: Add mgmt DNS entries for ms-be204[0-3]

https://gerrit.wikimedia.org/r/421044

Change 421072 merged by Dzahn:
[operations/puppet@production] DHCP: Add MAC address entries for ms-be204[0-3]

https://gerrit.wikimedia.org/r/421072

Change 421065 merged by Dzahn:
[operations/dns@master] DNS: Add production DNS entries for ms-be204[0-3]

https://gerrit.wikimedia.org/r/421065

Change 421198 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/puppet@production] Netboot: Add ms-be204[0-3]

https://gerrit.wikimedia.org/r/421198

Change 421198 merged by Dzahn:
[operations/puppet@production] Netboot: Add ms-be204[0-3]

https://gerrit.wikimedia.org/r/421198

Papaul updated the task description. (Show Details)Mar 22 2018, 5:29 AM
Papaul updated the task description. (Show Details)Mar 22 2018, 5:46 AM
Papaul reassigned this task from Papaul to fgiunchedi.Mar 22 2018, 5:55 AM
Papaul updated the task description. (Show Details)

@fgiunchedi All yours.

Change 421242 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] install_server: use dell recipe for new ms-be systems

https://gerrit.wikimedia.org/r/421242

Change 421242 merged by Filippo Giunchedi:
[operations/puppet@production] install_server: use dell recipe for new ms-be systems

https://gerrit.wikimedia.org/r/421242

So I was initially confused because the boot disks (i.e. ssds) on these dell machines are sda/sdb (as opposed to sdm/sdn) like we do on hp machines and the partman recipe was set to ms-be-hp. This difference is for historical reasons (T90922) and specifically because we couldn't get hp machines to boot from ssds and have said ssds to appear as sdm/sdn, thus having a single partitioning scheme.

Three years later things have changed and we have only a total of six dell machines for ms-be left, all of which are out of warranty and due to be decom'd "soon". Thus a great opportunity to unify the partitioning schemes again and standardize on sda/sdb being the ssds and thus the boot disks.

Change 421248 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] Deprecate ms-be Dell-specific partitioning scheme

https://gerrit.wikimedia.org/r/421248

Change 421249 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] site: add ms-be204[0-3]

https://gerrit.wikimedia.org/r/421249

Change 421248 merged by Filippo Giunchedi:
[operations/puppet@production] Deprecate ms-be Dell-specific partitioning scheme

https://gerrit.wikimedia.org/r/421248

Change 421249 merged by Filippo Giunchedi:
[operations/puppet@production] site: add ms-be204[0-3]

https://gerrit.wikimedia.org/r/421249

fgiunchedi updated the task description. (Show Details)Mar 26 2018, 12:46 PM

Mentioned in SAL (#wikimedia-operations) [2018-03-26T12:47:31Z] <godog> add ms-be204[0-3] with minimal weight - T189633

Mentioned in SAL (#wikimedia-operations) [2018-03-27T08:29:03Z] <godog> add more weight to ms-be204[0-3] - T189633

Mentioned in SAL (#wikimedia-operations) [2018-03-28T08:25:30Z] <godog> add more weight to ms-be204[0-3] - T189633

Mentioned in SAL (#wikimedia-operations) [2018-04-03T08:29:42Z] <godog> codfw-prod: more weight to ms-be204[0-3] - T189633

fgiunchedi moved this task from Backlog to Doing on the User-fgiunchedi board.Apr 3 2018, 12:42 PM
fgiunchedi closed this task as Resolved.Apr 6 2018, 7:34 AM

This is complete!